System.Core 3.5.0.0 4.0.0.0 System.Object

The set of methods declared in the class provides an implementation of the standard query operators for querying data sources that implement . The standard query operators are general purpose methods that follow the vbteclinq pattern and enable you to express traversal, filter, and projection operations over data in any .NET-based programming language.

The majority of the methods in this class are defined as extension methods that extend the type. This means they can be called like an instance method on any object that implements . These methods that extend do not perform any querying directly. Instead, their functionality is to build an object, which is an expression tree that represents the cumulative query. The methods then pass the new expression tree to either the method or the method of the input . The method that is called depends on whether the method returns a singleton value, in which case is called, or has enumerable results, in which case is called.

The actual query execution on the target data is performed by a class that implements . The expectation of any implementation is that the result of executing an expression tree that was constructed by a standard query operator method is equivalent to the result of calling the corresponding method in the class, if the data source were an .

In addition to the standard query operator methods that operate on objects, this class also contains a method, , which types objects as objects.

Provides a set of static (Shared in Visual Basic) methods for querying data structures that implement .

- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the specified function, , is applied to each value in the source sequence and the accumulated value is returned. The first value in is used as the seed value for the accumulated value, which corresponds to the first parameter in .

  To simplify common aggregation operations, the set of standard query operators also includes two counting methods, and , and four numeric aggregation methods, namely , , , and .

  Applies an accumulator function over a sequence.

  The final accumulator value.

  A sequence to aggregate over. An accumulator function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TAccumulate `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the specified function, , is applied to each value in the source sequence and the accumulated value is returned. The parameter is used as the seed value for the accumulated value, which corresponds to the first parameter in .

  To simplify common aggregation operations, the set of standard query operators also includes two counting methods, and , and four numeric aggregation methods, namely , , , and .

  Applies an accumulator function over a sequence. The specified seed value is used as the initial accumulator value.

  The final accumulator value.

  A sequence to aggregate over. The initial accumulator value. An accumulator function to invoke on each element. The type of the elements of . The type of the accumulator value.
- Method
  3.5.0.0
  4.0.0.0
  TResult `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the specified function, , is applied to each value in the source sequence and the accumulated value is returned. The parameter is used as the seed value for the accumulated value, which corresponds to the first parameter in . The final accumulated value is passed to to obtain the result value.

  To simplify common aggregation operations, the set of standard query operators also includes two counting methods, and , and four numeric aggregation methods, namely , , , and .

  Applies an accumulator function over a sequence. The specified seed value is used as the initial accumulator value, and the specified function is used to select the result value.

  The transformed final accumulator value.

  A sequence to aggregate over. The initial accumulator value. An accumulator function to invoke on each element. A function to transform the final accumulator value into the result value. The type of the elements of . The type of the accumulator value. The type of the resulting value.
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the parameter's type. The expected behavior is that it determines if all the elements in satisfy the condition in .

  Determines whether all the elements of a sequence satisfy a condition.

  true if every element of the source sequence passes the test in the specified predicate, or if the sequence is empty; otherwise, false.

  A sequence whose elements to test for a condition. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it determines if contains any elements.

  Determines whether a sequence contains any elements.

  true if the source sequence contains any elements; otherwise, false.

  A sequence to check for being empty. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it determines if any of the elements of satisfy the condition specified by .

  Determines whether any element of a sequence satisfies a condition.

  true if any elements in the source sequence pass the test in the specified predicate; otherwise, false.

  A sequence whose elements to test for a condition. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable ``

  If the type of implements , returns it directly. Otherwise, it returns an that executes queries by calling the equivalent query operator methods in instead of those in .

  This method assumes that implements for some . At runtime, the result is of type for the same . This method is useful in dynamic scenarios when you do not statically know the type of .

  Converts an to an .

  An that represents the input sequence.

  A sequence to convert.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TElement> ``

  If the type of implements , returns it directly. Otherwise, it returns an that executes queries by calling the equivalent query operator methods in instead of those in .

  Converts a generic to a generic .

  An that represents the input sequence.

  A sequence to convert. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Decimal ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Double ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Double ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Double ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Decimal> ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of nullable values.

  The average of the sequence of values, or null if the source sequence is empty or contains only null values.

  A sequence of nullable values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of nullable values.

  The average of the sequence of values, or null if the source sequence is empty or contains only null values.

  A sequence of nullable values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of nullable values.

  The average of the sequence of values, or null if the source sequence is empty or contains only null values.

  A sequence of nullable values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of nullable values.

  The average of the sequence of values, or null if the source sequence is empty or contains only null values.

  A sequence of nullable values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Single> ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of nullable values.

  The average of the sequence of values, or null if the source sequence is empty or contains only null values.

  A sequence of nullable values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Single ``

  The method generates a that represents calling itself. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in .

  Computes the average of a sequence of values.

  The average of the sequence of values.

  A sequence of values to calculate the average of.
- Method
  3.5.0.0
  4.0.0.0
  System.Decimal `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values that are used to calculate an average. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Double `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Double `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Double `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Decimal> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values, or null if the sequence is empty or contains only null values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values, or null if the sequence is empty or contains only null values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values, or null if the sequence is empty or contains only null values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values, or null if the sequence is empty or contains only null values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Single> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values, or null if the sequence is empty or contains only null values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Single `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it calculates the average of the values in after invoking on each value.

  Computes the average of a sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The average of the sequence of values.

  A sequence of values to calculate the average of. A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it converts the values in to type .

  Converts the elements of an to the specified type.

  An that contains each element of the source sequence converted to the specified type.

  The that contains the elements to be converted. The type to convert the elements of to.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the elements in are concatenated to those of to create a new sequence.

  Concatenates two sequences.

  An that contains the concatenated elements of the two input sequences.

  The first sequence to concatenate. The sequence to concatenate to the first sequence. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it determines if contains .

  Determines whether a sequence contains a specified element by using the default equality comparer.

  true if the input sequence contains an element that has the specified value; otherwise, false.

  An in which to locate . The object to locate in the sequence. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it determines if contains by using to compare values.

  Determines whether a sequence contains a specified element by using a specified .

  true if the input sequence contains an element that has the specified value; otherwise, false.

  An in which to locate . The object to locate in the sequence. An to compare values. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Int32 ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it counts the number of items in .

  Returns the number of elements in a sequence.

  The number of elements in the input sequence.

  The that contains the elements to be counted. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Int32 `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it counts the number of items in that satisfy the condition specified by .

  Returns the number of elements in the specified sequence that satisfies a condition.

  The number of elements in the sequence that satisfies the condition in the predicate function.

  An that contains the elements to be counted. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns if it is not empty. Otherwise, it returns an that contains default().

  Returns the elements of the specified sequence or the type parameter's default value in a singleton collection if the sequence is empty.

  An that contains default() if is empty; otherwise, .

  The to return a default value for if empty. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns if it is not empty. Otherwise, it returns an that contains .

  Returns the elements of the specified sequence or the specified value in a singleton collection if the sequence is empty.

  An that contains if is empty; otherwise, .

  The to return the specified value for if empty. The value to return if the sequence is empty. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns an unordered sequence of the unique items in .

  Returns distinct elements from a sequence by using the default equality comparer to compare values.

  An that contains distinct elements from .

  The to remove duplicates from. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns an unordered sequence of the unique items in by using to compare values.

  Returns distinct elements from a sequence by using a specified to compare values.

  An that contains distinct elements from .

  The to remove duplicates from. An to compare values. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the item at position in .

  Returns the element at a specified index in a sequence.

  The element at the specified position in .

  An to return an element from. The zero-based index of the element to retrieve. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the item at position in , or default() if is outside the bounds of .

  Returns the element at a specified index in a sequence or a default value if the index is out of range.

  default() if is outside the bounds of ; otherwise, the element at the specified position in .

  An to return an element from. The zero-based index of the element to retrieve. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that all the elements in are returned except for those that are also in .

  Produces the set difference of two sequences by using the default equality comparer to compare values.

  An that contains the set difference of the two sequences.

  An whose elements that are not also in will be returned. An whose elements that also occur in the first sequence will not appear in the returned sequence. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that all the elements in are returned except for those that are also in , and is used to compare values.

  Produces the set difference of two sequences by using the specified to compare values.

  An that contains the set difference of the two sequences.

  An whose elements that are not also in will be returned. An whose elements that also occur in the first sequence will not appear in the returned sequence. An to compare values. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the first element in .

  Returns the first element of a sequence.

  The first element in .

  The to return the first element of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the first element in that satisfies the condition specified by .

  Returns the first element of a sequence that satisfies a specified condition.

  The first element in that passes the test in .

  An to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the first element in , or a default value if is empty.

  The method does not provide a way to specify the default value to return if is empty. If you want to specify a default value other than default(), use the method as described in the Example section.

  Returns the first element of a sequence, or a default value if the sequence contains no elements.

  default() if is empty; otherwise, the first element in .

  The to return the first element of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the first element in that satisfies the condition in , or a default value if no element satisfies the condition.

  Returns the first element of a sequence that satisfies a specified condition or a default value if no such element is found.

  default() if is empty or if no element passes the test specified by ; otherwise, the first element in that passes the test specified by .

  An to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<System.Linq.IGrouping<TKey,TSource>> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by a key value that is obtained by invoking on each element.

  Groups the elements of a sequence according to a specified key selector function.

  An IQueryable<IGrouping<TKey, TSource>> in C# or IQueryable(Of IGrouping(Of TKey, TSource)) in vbprvb where each object contains a sequence of objects and a key.

  An whose elements to group. A function to extract the key for each element. The type of the elements of . The type of the key returned by the function represented in .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<System.Linq.IGrouping<TKey,TSource>> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by a key value. The key value is obtained by invoking on each element, and key values are compared by using .

  Groups the elements of a sequence according to a specified key selector function and compares the keys by using a specified comparer.

  An IQueryable<IGrouping<TKey, TSource>> in C# or IQueryable(Of IGrouping(Of TKey, TSource)) in vbprvb where each contains a sequence of objects and a key.

  An whose elements to group. A function to extract the key for each element. An to compare keys. The type of the elements of . The type of the key returned by the function represented in .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<System.Linq.IGrouping<TKey,TElement>> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by a key value that is obtained by invoking on each element. It invokes on each element to obtain a result element.

  Groups the elements of a sequence according to a specified key selector function and projects the elements for each group by using a specified function.

  An IQueryable<IGrouping<TKey, TElement>> in C# or IQueryable(Of IGrouping(Of TKey, TElement)) in vbprvb where each contains a sequence of objects of type and a key.

  An whose elements to group. A function to extract the key for each element. A function to map each source element to an element in an . The type of the elements of . The type of the key returned by the function represented in . The type of the elements in each .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<System.Linq.IGrouping<TKey,TElement>> `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by a key value that is obtained by invoking on each element. Key values are compared by using . The parameter is invoked on each element to obtain a result element.

  Groups the elements of a sequence and projects the elements for each group by using a specified function. Key values are compared by using a specified comparer.

  An IQueryable<IGrouping<TKey, TElement>> in C# or IQueryable(Of IGrouping(Of TKey, TElement)) in vbprvb where each contains a sequence of objects of type and a key.

  An whose elements to group. A function to extract the key for each element. A function to map each source element to an element in an . An to compare keys. The type of the elements of . The type of the key returned by the function represented in . The type of the elements in each .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by a key value that is obtained by invoking on each element. The parameter is used to obtain a result value from each group and its key.

  Groups the elements of a sequence according to a specified key selector function and creates a result value from each group and its key.

  An T:System.Linq.IQueryable`1 that has a type argument of and where each element represents a projection over a group and its key.

  An whose elements to group. A function to extract the key for each element. A function to create a result value from each group. The type of the elements of . The type of the key returned by the function represented in . The type of the result value returned by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by key values that are obtained by invoking on each element. The parameter is used to compare keys and the parameter is used to obtain a result value from each group and its key.

  Groups the elements of a sequence according to a specified key selector function and creates a result value from each group and its key. Keys are compared by using a specified comparer.

  An T:System.Linq.IQueryable`1 that has a type argument of and where each element represents a projection over a group and its key.

  An whose elements to group. A function to extract the key for each element. A function to create a result value from each group. An to compare keys. The type of the elements of . The type of the key returned by the function represented in . The type of the result value returned by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by key values that are obtained by invoking on each element. The parameter is used to project the elements of each group, and the parameter is used to obtain a result value from each group and its key.

  Groups the elements of a sequence according to a specified key selector function and creates a result value from each group and its key. The elements of each group are projected by using a specified function.

  An T:System.Linq.IQueryable`1 that has a type argument of and where each element represents a projection over a group and its key.

  An whose elements to group. A function to extract the key for each element. A function to map each source element to an element in an . A function to create a result value from each group. The type of the elements of . The type of the key returned by the function represented in . The type of the elements in each . The type of the result value returned by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it groups the elements of by key values that are obtained by invoking on each element. The parameter is used to compare key values. The parameter is used to project the elements of each group, and the parameter is used to obtain a result value from each group and its key.

  Groups the elements of a sequence according to a specified key selector function and creates a result value from each group and its key. Keys are compared by using a specified comparer and the elements of each group are projected by using a specified function.

  An T:System.Linq.IQueryable`1 that has a type argument of and where each element represents a projection over a group and its key.

  An whose elements to group. A function to extract the key for each element. A function to map each source element to an element in an . A function to create a result value from each group. An to compare keys. The type of the elements of . The type of the key returned by the function represented in . The type of the elements in each . The type of the result value returned by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the and functions are used to extract keys from and , respectively. These keys are compared for equality to match each element in with zero or more elements from . Then the function is invoked to project a result object from each group of correlated elements.

  Correlates the elements of two sequences based on key equality and groups the results. The default equality comparer is used to compare keys.

  An that contains elements of type obtained by performing a grouped join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from an element from the first sequence and a collection of matching elements from the second sequence. The type of the elements of the first sequence. The type of the elements of the second sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the and functions are used to extract keys from and , respectively. These keys are compared for equality by using . The outcome of the comparisons is used to match each element in with zero or more elements from . Then the function is invoked to project a result object from each group of correlated elements.

  Correlates the elements of two sequences based on key equality and groups the results. A specified is used to compare keys.

  An that contains elements of type obtained by performing a grouped join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from an element from the first sequence and a collection of matching elements from the second sequence. A comparer to hash and compare keys. The type of the elements of the first sequence. The type of the elements of the second sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that all the elements in that are also in are returned.

  Produces the set intersection of two sequences by using the default equality comparer to compare values.

  A sequence that contains the set intersection of the two sequences.

  A sequence whose distinct elements that also appear in are returned. A sequence whose distinct elements that also appear in the first sequence are returned. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that all the elements in that are also in are returned. The parameter is used to compare elements.

  Produces the set intersection of two sequences by using the specified to compare values.

  An that contains the set intersection of the two sequences.

  An whose distinct elements that also appear in are returned. An whose distinct elements that also appear in the first sequence are returned. An to compare values. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that of an inner join. The and functions are used to extract keys from and , respectively. These keys are compared for equality to match elements from each sequence. A pair of elements is stored for each element in that matches an element in . Then the function is invoked to project a result object from each pair of matching elements.

  Correlates the elements of two sequences based on matching keys. The default equality comparer is used to compare keys.

  An that has elements of type obtained by performing an inner join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from two matching elements. The type of the elements of the first sequence. The type of the elements of the second sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` `` `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that of an inner join. The and functions are used to extract keys from and , respectively. These keys are compared for equality by using . The outcome of the comparisons is used to create a matching pair for each element in that matches an element in . Then the function is invoked to project a result object from each pair of matching elements.

  Correlates the elements of two sequences based on matching keys. A specified is used to compare keys.

  An that has elements of type obtained by performing an inner join on two sequences.

  The first sequence to join. The sequence to join to the first sequence. A function to extract the join key from each element of the first sequence. A function to extract the join key from each element of the second sequence. A function to create a result element from two matching elements. An to hash and compare keys. The type of the elements of the first sequence. The type of the elements of the second sequence. The type of the keys returned by the key selector functions. The type of the result elements.
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the last element in .

  Returns the last element in a sequence.

  The value at the last position in .

  An to return the last element of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the last element in that satisfies the condition specified by .

  Returns the last element of a sequence that satisfies a specified condition.

  The last element in that passes the test specified by .

  An to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the last element in , or a default value if is empty.

  The method does not provide a way to specify a default value. If you want to specify a default value other than default(), use the method as described in the Example section.

  Returns the last element in a sequence, or a default value if the sequence contains no elements.

  default() if is empty; otherwise, the last element in .

  An to return the last element of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the last element in that satisfies the condition specified by . It returns a default value if there is no such element in .

  Returns the last element of a sequence that satisfies a condition or a default value if no such element is found.

  default() if is empty or if no elements pass the test in the predicate function; otherwise, the last element of that passes the test in the predicate function.

  An to return an element from. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Int64 ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it counts the number of items in and returns an .

  Returns an that represents the total number of elements in a sequence.

  The number of elements in .

  An that contains the elements to be counted. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Int64 `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it counts the number of items in that satisfy the condition specified by and returns an .

  Returns an that represents the number of elements in a sequence that satisfy a condition.

  The number of elements in that satisfy the condition in the predicate function.

  An that contains the elements to be counted. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the maximum value in .

  Returns the maximum value in a generic .

  The maximum value in the sequence.

  A sequence of values to determine the maximum of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TResult `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element in and returns the maximum value.

  Invokes a projection function on each element of a generic and returns the maximum resulting value.

  The maximum value in the sequence.

  A sequence of values to determine the maximum of. A projection function to apply to each element. The type of the elements of . The type of the value returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the minimum value in .

  Returns the minimum value of a generic .

  The minimum value in the sequence.

  A sequence of values to determine the minimum of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TResult `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element in and returns the minimum value.

  Invokes a projection function on each element of a generic and returns the minimum resulting value.

  The minimum value in the sequence.

  A sequence of values to determine the minimum of. A projection function to apply to each element. The type of the elements of . The type of the value returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> ``

  The OfType method generates a that represents calling OfType itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling OfType depends on the implementation of the type of the parameter. The expected behavior is that it filters out any elements in that are not of type .

  Filters the elements of an based on a specified type.

  A collection that contains the elements from that have type .

  An whose elements to filter. The type to filter the elements of the sequence on.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it sorts the elements of based on the key obtained by invoking on each element of .

  Sorts the elements of a sequence in ascending order according to a key.

  An whose elements are sorted according to a key.

  A sequence of values to order. A function to extract a key from an element. The type of the elements of . The type of the key returned by the function that is represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it sorts the elements of based on the key obtained by invoking on each element of . The parameter is used to compare keys.

  Sorts the elements of a sequence in ascending order by using a specified comparer.

  An whose elements are sorted according to a key.

  A sequence of values to order. A function to extract a key from an element. An to compare keys. The type of the elements of . The type of the key returned by the function that is represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it sorts the elements of in descending order, based on the key obtained by invoking on each element of .

  Sorts the elements of a sequence in descending order according to a key.

  An whose elements are sorted in descending order according to a key.

  A sequence of values to order. A function to extract a key from an element. The type of the elements of . The type of the key returned by the function that is represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it sorts the elements of in descending order, based on the key obtained by invoking on each element of . The parameter is used to compare keys.

  Sorts the elements of a sequence in descending order by using a specified comparer.

  An whose elements are sorted in descending order according to a key.

  A sequence of values to order. A function to extract a key from an element. An to compare keys. The type of the elements of . The type of the key returned by the function that is represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it reverses the order of the elements in .

  Inverts the order of the elements in a sequence.

  An whose elements correspond to those of the input sequence in reverse order.

  A sequence of values to reverse. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depend on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of to project it into a different form.

  Projects each element of a sequence into a new form by incorporating the element's index.

  An whose elements are the result of invoking a projection function on each element of .

  A sequence of values to project. A projection function to apply to each element. The type of the elements of . The type of the value returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of to project it into a different form.

  Projects each element of a sequence into a new form.

  An whose elements are the result of invoking a projection function on each element of .

  A sequence of values to project. A projection function to apply to each element. The type of the elements of . The type of the value returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of to project it into an enumerable form. It then concatenates the enumerable results into a single, one-dimensional sequence.

  Projects each element of a sequence to an and combines the resulting sequences into one sequence.

  An whose elements are the result of invoking a one-to-many projection function on each element of the input sequence.

  A sequence of values to project. A projection function to apply to each element. The type of the elements of . The type of the elements of the sequence returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of to project it into an enumerable form. Each enumerable result incorporates the index of the source element. It then concatenates the enumerable results into a single, one-dimensional sequence.

  Projects each element of a sequence to an and combines the resulting sequences into one sequence. The index of each source element is used in the projected form of that element.

  An whose elements are the result of invoking a one-to-many projection function on each element of the input sequence.

  A sequence of values to project. A projection function to apply to each element; the second parameter of this function represents the index of the source element. The type of the elements of . The type of the elements of the sequence returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of to project it into an enumerable form. Then the function represented by is invoked on each element in each intermediate sequence. The resulting values are concatenated into a single, one-dimensional sequence.

  Projects each element of a sequence to an and invokes a result selector function on each element therein. The resulting values from each intermediate sequence are combined into a single, one-dimensional sequence and returned.

  An whose elements are the result of invoking the one-to-many projection function on each element of and then mapping each of those sequence elements and their corresponding element to a result element.

  A sequence of values to project. A projection function to apply to each element of the input sequence. A projection function to apply to each element of each intermediate sequence. The type of the elements of . The type of the intermediate elements collected by the function represented by . The type of the elements of the resulting sequence.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of to project it into an enumerable form. Each enumerable result incorporates the source element's index. Then the function represented by is invoked on each element in each intermediate sequence. The resulting values are concatenated into a single, one-dimensional sequence.

  Projects each element of a sequence to an that incorporates the index of the source element that produced it. A result selector function is invoked on each element of each intermediate sequence, and the resulting values are combined into a single, one-dimensional sequence and returned.

  An whose elements are the result of invoking the one-to-many projection function on each element of and then mapping each of those sequence elements and their corresponding element to a result element.

  A sequence of values to project. A projection function to apply to each element of the input sequence; the second parameter of this function represents the index of the source element. A projection function to apply to each element of each intermediate sequence. The type of the elements of . The type of the intermediate elements collected by the function represented by . The type of the elements of the resulting sequence.
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it determines if the two source sequences are equal.

  Determines whether two sequences are equal by using the default equality comparer to compare elements.

  true if the two source sequences are of equal length and their corresponding elements compare equal; otherwise, false.

  An whose elements to compare to those of . An whose elements to compare to those of the first sequence. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Boolean `` `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it determines if the two source sequences are equal by using to compare elements.

  Determines whether two sequences are equal by using a specified to compare elements.

  true if the two source sequences are of equal length and their corresponding elements compare equal; otherwise, false.

  An whose elements to compare to those of . An whose elements to compare to those of the first sequence. An to use to compare elements. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the only element in .

  Returns the only element of a sequence, and throws an exception if there is not exactly one element in the sequence.

  The single element of the input sequence.

  An to return the single element of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the only element in that satisfies the condition specified by .

  Returns the only element of a sequence that satisfies a specified condition, and throws an exception if more than one such element exists.

  The single element of the input sequence that satisfies the condition in .

  An to return a single element from. A function to test an element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the only element in , or a default value if is empty.

  The method does not provide a way to specify a default value. If you want to specify a default value other than default(), use the method as described in the Example section.

  Returns the only element of a sequence, or a default value if the sequence is empty; this method throws an exception if there is more than one element in the sequence.

  The single element of the input sequence, or default() if the sequence contains no elements.

  An to return the single element of. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  TSource `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the only element in that satisfies the condition specified by , or a default value if no such element exists.

  Returns the only element of a sequence that satisfies a specified condition or a default value if no such element exists; this method throws an exception if more than one element satisfies the condition.

  The single element of the input sequence that satisfies the condition in , or default() if no such element is found.

  An to return a single element from. A function to test an element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it skips the first elements in and returns the remaining elements.

  Bypasses a specified number of elements in a sequence and then returns the remaining elements.

  An that contains elements that occur after the specified index in the input sequence.

  An to return elements from. The number of elements to skip before returning the remaining elements. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it applies to each element in until it finds an element for which returns false. That element and all the remaining elements are returned.

  Bypasses elements in a sequence as long as a specified condition is true and then returns the remaining elements.

  An that contains elements from starting at the first element in the linear series that does not pass the test specified by .

  An to return elements from. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it applies to each element in until it finds an element for which returns false. That element and all the remaining elements are returned. The index of each source element is provided as the second argument to .

  Bypasses elements in a sequence as long as a specified condition is true and then returns the remaining elements. The element's index is used in the logic of the predicate function.

  An that contains elements from starting at the first element in the linear series that does not pass the test specified by .

  An to return elements from. A function to test each element for a condition; the second parameter of this function represents the index of the source element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Decimal ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of values.

  The sum of the values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Double ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of values.

  The sum of the values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Int32 ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of values.

  The sum of the values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Int64 ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of values.

  The sum of the values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Decimal> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of nullable values.

  The sum of the values in the sequence.

  A sequence of nullable values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of nullable values.

  The sum of the values in the sequence.

  A sequence of nullable values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Int32> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of nullable values.

  The sum of the values in the sequence.

  A sequence of nullable values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Int64> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of nullable values.

  The sum of the values in the sequence.

  A sequence of nullable values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Single> ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of nullable values.

  The sum of the values in the sequence.

  A sequence of nullable values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Single ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the sum of the values in .

  Computes the sum of a sequence of values.

  The sum of the values in the sequence.

  A sequence of values to calculate the sum of.
- Method
  3.5.0.0
  4.0.0.0
  System.Decimal `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Double `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of he parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Int32 `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Int64 `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Decimal> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Double> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Int32> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Int64> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Nullable<System.Single> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of nullable values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Single `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it invokes on each element of and returns the sum of the resulting values.

  Computes the sum of the sequence of values that is obtained by invoking a projection function on each element of the input sequence.

  The sum of the projected values.

  A sequence of values of type . A projection function to apply to each element. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it takes the first elements from the start of .

  Returns a specified number of contiguous elements from the start of a sequence.

  An that contains the specified number of elements from the start of .

  The sequence to return elements from. The number of elements to return. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it applies to each element in until it finds an element for which returns false. It returns all the elements up until that point.

  Returns elements from a sequence as long as a specified condition is true.

  An that contains elements from the input sequence occurring before the element at which the test specified by no longer passes.

  The sequence to return elements from. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it applies to each element in until it finds an element for which returns false. It returns all the elements up until that point. The index of each source element is provided as the second argument to .

  Returns elements from a sequence as long as a specified condition is true. The element's index is used in the logic of the predicate function.

  An that contains elements from the input sequence occurring before the element at which the test specified by no longer passes.

  The sequence to return elements from. A function to test each element for a condition; the second parameter of the function represents the index of the element in the source sequence. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it performs a secondary sort of the elements of based on the key obtained by invoking on each element of . All previously established sort orders are preserved.

  Performs a subsequent ordering of the elements in a sequence in ascending order according to a key.

  An whose elements are sorted according to a key.

  An that contains elements to sort. A function to extract a key from each element. The type of the elements of . The type of the key returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it performs a secondary sort of the elements of based on the key obtained by invoking on each element of . All previously established sort orders are preserved. The parameter is used to compare key values.

  Performs a subsequent ordering of the elements in a sequence in ascending order by using a specified comparer.

  An whose elements are sorted according to a key.

  An that contains elements to sort. A function to extract a key from each element. An to compare keys. The type of the elements of . The type of the key returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it performs a secondary sort of the elements of in descending order, based on the key obtained by invoking on each element of . All previously established sort orders are preserved.

  Performs a subsequent ordering of the elements in a sequence in descending order, according to a key.

  An whose elements are sorted in descending order according to a key.

  An that contains elements to sort. A function to extract a key from each element. The type of the elements of . The type of the key returned by the function represented by .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IOrderedQueryable<TSource> `` `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter. The result of calling is cast to type and returned.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it performs a secondary sort of the elements of in descending order, based on the key obtained by invoking on each element of . All previously established sort orders are preserved. The parameter is used to compare key values.

  Performs a subsequent ordering of the elements in a sequence in descending order by using a specified comparer.

  A collection whose elements are sorted in descending order according to a key.

  An that contains elements to sort. A function to extract a key from each element. An to compare keys. The type of the elements of . The type of the key that is returned by the function.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the set union of the elements in and is returned.

  Produces the set union of two sequences by using the default equality comparer.

  An that contains the elements from both input sequences, excluding duplicates.

  A sequence whose distinct elements form the first set for the union operation. A sequence whose distinct elements form the second set for the union operation. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that the set union of the elements in and is returned. The parameter is used to compare values.

  Produces the set union of two sequences by using a specified .

  An that contains the elements from both input sequences, excluding duplicates.

  A sequence whose distinct elements form the first set for the union operation. A sequence whose distinct elements form the second set for the union operation. An to compare values. The type of the elements of the input sequences.
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the elements from that satisfy the condition specified by .

  Filters a sequence of values based on a predicate.

  An that contains elements from the input sequence that satisfy the condition specified by .

  An to filter. A function to test each element for a condition. The type of the elements of .
- Method
  3.5.0.0
  4.0.0.0
  System.Linq.IQueryable<TSource> `` ``

  This method has at least one parameter of type whose type argument is one of the types. For these parameters, you can pass in a lambda expression and it will be compiled to an .

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The query behavior that occurs as a result of executing an expression tree that represents calling depends on the implementation of the type of the parameter. The expected behavior is that it returns the elements from that satisfy the condition specified by . The index of each source element is provided as the second argument to .

  Filters a sequence of values based on a predicate. Each element's index is used in the logic of the predicate function.

  An that contains elements from the input sequence that satisfy the condition specified by .

  An to filter. A function to test each element for a condition; the second parameter of the function represents the index of the element in the source sequence. The type of the elements of .
- Method
  4.0.0.0
  System.Linq.IQueryable<TResult> `` `` ``

  The method generates a that represents calling itself as a constructed generic method. It then passes the to the method of the represented by the property of the parameter.

  The method merges each element of the first sequence with an element that has the same index in the second sequence. If the sequences do not have the same number of elements, the method merges sequences until it reaches the end of one of them. For example, if one sequence has three elements and the other one has four, the resulting sequence will have only three elements.

  Merges two sequences by using the specified predicate function.

  An that contains merged elements of two input sequences.

  The first sequence to merge. The second sequence to merge. A function that specifies how to merge the elements from the two sequences. The type of the elements of the first input sequence. The type of the elements of the second input sequence. The type of the elements of the result sequence.